From 93196137a32678813a017fc454d8fb60a00c0d2a Mon Sep 17 00:00:00 2001
From: Lev Nikolaev <lev.nikolaev@tantorlabs.com>
Date: Wed, 9 Jul 2025 14:54:23 +0300
Subject: [PATCH] stylesheet-html-common: only apply Bootstrap container
 classes in website build

Author: Lev Nikolaev <lev.nikolaev@tantorlabs.com>
co-Author: Anatoliy Kraev <anatoliy.kraev@tantorlabs.com>
---
 doc/src/sgml/stylesheet-html-common.xsl | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/stylesheet-html-common.xsl b/doc/src/sgml/stylesheet-html-common.xsl
index 9dcf96c02e5..8bfe36c0050 100644
--- a/doc/src/sgml/stylesheet-html-common.xsl
+++ b/doc/src/sgml/stylesheet-html-common.xsl
@@ -33,7 +33,9 @@
   -->
 <xsl:template name="body.attributes">
   <xsl:attribute name="id">docContent</xsl:attribute>
-  <xsl:attribute name="class">container-fluid col-10</xsl:attribute>
+  <xsl:if test="$website.stylesheet != 0">
+    <xsl:attribute name="class">container-fluid col-10</xsl:attribute>
+  </xsl:if>
 </xsl:template>
 
 <!-- Change display of some elements -->
-- 
2.34.1

